# Uses of Class
org.apache.lucene.queryparser.surround.query.SrndQuery

Packages that use SrndQuery
Package
Description
org.apache.lucene.queryparser.surround.parser
This package contains the QueryParser.jj source file for the Surround parser.
org.apache.lucene.queryparser.surround.query
This package contains SrndQuery and its subclasses.

- ## Uses of SrndQuery in org.apache.lucene.queryparser.surround.parser

  Methods in org.apache.lucene.queryparser.surround.parser that return SrndQuery
  Modifier and Type
  Method
  Description
  `final SrndQuery`
  QueryParser.`AndQuery()`
  `final SrndQuery`
  QueryParser.`FieldsQuery()`
  `protected SrndQuery`
  QueryParser.`getAndQuery(List<SrndQuery> queries, boolean infix, Token andToken)`
  `protected SrndQuery`
  QueryParser.`getDistanceQuery(List<SrndQuery> queries, boolean infix, Token dToken, boolean ordered)`
  `protected SrndQuery`
  QueryParser.`getFieldsQuery(SrndQuery q, ArrayList<String> fieldNames)`
  `protected SrndQuery`
  QueryParser.`getNotQuery(List<SrndQuery> queries, Token notToken)`
  `protected SrndQuery`
  QueryParser.`getOrQuery(List<SrndQuery> queries, boolean infix, Token orToken)`
  `protected SrndQuery`
  QueryParser.`getPrefixQuery(String prefix, boolean quoted)`
  `protected SrndQuery`
  QueryParser.`getTermQuery(String term, boolean quoted)`
  `protected SrndQuery`
  QueryParser.`getTruncQuery(String truncated)`
  `final SrndQuery`
  QueryParser.`NotQuery()`
  `final SrndQuery`
  QueryParser.`NQuery()`
  `final SrndQuery`
  QueryParser.`OrQuery()`
  `static SrndQuery`
  QueryParser.`parse(String query)`
  `SrndQuery`
  QueryParser.`parse2(String query)`
  `final SrndQuery`
  QueryParser.`PrefixOperatorQuery()`
  `final SrndQuery`
  QueryParser.`PrimaryQuery()`
  `final SrndQuery`
  QueryParser.`SimpleTerm()`
  `final SrndQuery`
  QueryParser.`TopSrndQuery()`
  `final SrndQuery`
  QueryParser.`WQuery()`
  Methods in org.apache.lucene.queryparser.surround.parser that return types with arguments of type SrndQuery
  Modifier and Type
  Method
  Description
  `final List<SrndQuery>`
  QueryParser.`FieldsQueryList()`
  Methods in org.apache.lucene.queryparser.surround.parser with parameters of type SrndQuery
  Modifier and Type
  Method
  Description
  `protected SrndQuery`
  QueryParser.`getFieldsQuery(SrndQuery q, ArrayList<String> fieldNames)`
  `final void`
  QueryParser.`OptionalWeights(SrndQuery q)`
  Method parameters in org.apache.lucene.queryparser.surround.parser with type arguments of type SrndQuery
  Modifier and Type
  Method
  Description
  `protected SrndQuery`
  QueryParser.`getAndQuery(List<SrndQuery> queries, boolean infix, Token andToken)`
  `protected SrndQuery`
  QueryParser.`getDistanceQuery(List<SrndQuery> queries, boolean infix, Token dToken, boolean ordered)`
  `protected SrndQuery`
  QueryParser.`getNotQuery(List<SrndQuery> queries, Token notToken)`
  `protected SrndQuery`
  QueryParser.`getOrQuery(List<SrndQuery> queries, boolean infix, Token orToken)`

- ## Uses of SrndQuery in org.apache.lucene.queryparser.surround.query

  Subclasses of SrndQuery in org.apache.lucene.queryparser.surround.query
  Modifier and Type
  Class
  Description
  `class`
  `AndQuery`
  Factory for conjunctions
  `class`
  `ComposedQuery`
  Base class for composite queries (such as AND/OR/NOT)
  `class`
  `DistanceQuery`
  Factory for NEAR queries
  `class`
  `FieldsQuery`
  Forms an OR query of the provided query across multiple fields.
  `class`
  `NotQuery`
  Factory for prohibited clauses
  `class`
  `OrQuery`
  Factory for disjunctions
  `class`
  `SimpleTerm`
  Base class for queries that expand to sets of simple terms.
  `class`
  `SrndPrefixQuery`
  Query that matches String prefixes
  `class`
  `SrndTermQuery`
  Simple single-term clause
  `class`
  `SrndTruncQuery`
  Query that matches wildcards
  Fields in org.apache.lucene.queryparser.surround.query with type parameters of type SrndQuery
  Modifier and Type
  Field
  Description
  `protected List<SrndQuery>`
  ComposedQuery.`queries`
  Methods in org.apache.lucene.queryparser.surround.query that return SrndQuery
  Modifier and Type
  Method
  Description
  `SrndQuery`
  SrndQuery.`clone()`
  `SrndQuery`
  ComposedQuery.`getSubQuery(int qn)`
  Methods in org.apache.lucene.queryparser.surround.query that return types with arguments of type SrndQuery
  Modifier and Type
  Method
  Description
  `Iterator<SrndQuery>`
  ComposedQuery.`getSubQueriesIterator()`
  Method parameters in org.apache.lucene.queryparser.surround.query with type arguments of type SrndQuery
  Modifier and Type
  Method
  Description
  `protected void`
  ComposedQuery.`recompose(List<SrndQuery> queries)`
  Constructors in org.apache.lucene.queryparser.surround.query with parameters of type SrndQuery
  Modifier
  Constructor
  Description
  ``
  `FieldsQuery(SrndQuery q, String fieldName, char fieldOp)`
  ``
  `FieldsQuery(SrndQuery q, List<String> fieldNames, char fieldOp)`
  Constructor parameters in org.apache.lucene.queryparser.surround.query with type arguments of type SrndQuery
  Modifier
  Constructor
  Description
  ``
  `AndQuery(List<SrndQuery> queries, boolean inf, String opName)`
  ``
  `ComposedQuery(List<SrndQuery> qs, boolean operatorInfix, String opName)`
  ``
  `DistanceQuery(List<SrndQuery> queries, boolean infix, int opDistance, String opName, boolean ordered)`
  ``
  `NotQuery(List<SrndQuery> queries, String opName)`
  ``
  `OrQuery(List<SrndQuery> queries, boolean infix, String opName)`